package cn.estsh.i3plus.ext.mes.pcn.pojo.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-jx
 * @DESCRIPTION: 维修判定类型
 * @USER: xinwang.yi
 * @DATE: 2023-11-13 11:45
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_REPAIR_JUDGE_TYPE", indexes = {
        @Index(columnList = "REPAIR_JUDGE_CODE")
})
@Api("维修判定类型")
public class MesRepairJudgeType extends BaseBean implements Serializable {

    private static final long serialVersionUID = 2795798399799053490L;

    @Column(name = "REPAIR_JUDGE_CODE")
    @ApiParam("维修判定代码")
    private String repairJudgeCode;

    @Column(name = "REPAIR_JUDGE_NAME")
    @ApiParam("维修判定名称")
    private String repairJudgeName;

    @Column(name = "SEQ")
    @ApiParam("排序")
    private String seq;

    @Column(name = "SYSTEM_SYNC_STATUS")
    @ColumnDefault("2")
    @ApiParam(value = "系统同步标志")
    public Integer systemSyncStatus = 2;

}
